use super::*;

pub struct StorageManager {
    channel:Sender<Query>,
}

impl StorageManager {

}

impl Subsystem for StorageManager {
    fn start(_supervisor:Option<Sender<Query>>) -> Result<Sender<Query>, Error>
    {
        Err(Error::new())
    }
}

impl From<Sender<Query>> for StorageManager {
    fn from(channel:Sender<Query>) -> Self {
        Self { channel }
    }
}
